Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## weka.associations
Enum FPGrowth.AssociationRule.METRIC_TYPE

    java.lang.Object
      java.lang.Enum<FPGrowth.AssociationRule.METRIC_TYPE>
          weka.associations.FPGrowth.AssociationRule.METRIC_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FPGrowth.AssociationRule.METRIC_TYPE>

Enclosing class:
  FPGrowth.AssociationRule

    public static enum FPGrowth.AssociationRule.METRIC_TYPE

extends java.lang.Enum<FPGrowth.AssociationRule.METRIC_TYPE>

Enum for holding different metric types

Enum Constant Summary
`CONFIDENCE`
`CONVICTION`
`LEVERAGE`
`LIFT`

Method Summary
`java.lang.String` | `toString()`
`java.lang.String` | `toStringMetric(int premiseSupport, int consequenceSupport, int totalSupport, int totalTransactions)`
`java.lang.String` | `toXML(int premiseSupport, int consequenceSupport, int totalSupport, int totalTransactions)`
`static FPGrowth.AssociationRule.METRIC_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FPGrowth.AssociationRule.METRIC_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONFIDENCE

    public static final FPGrowth.AssociationRule.METRIC_TYPE CONFIDENCE

### LIFT

    public static final FPGrowth.AssociationRule.METRIC_TYPE LIFT

### LEVERAGE

    public static final FPGrowth.AssociationRule.METRIC_TYPE LEVERAGE

### CONVICTION

    public static final FPGrowth.AssociationRule.METRIC_TYPE CONVICTION

Method Detail

### values

    public static FPGrowth.AssociationRule.METRIC_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FPGrowth.AssociationRule.METRIC_TYPE c : FPGrowth.AssociationRule.METRIC_TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FPGrowth.AssociationRule.METRIC_TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<FPGrowth.AssociationRule.METRIC_TYPE>`

### toStringMetric

    public java.lang.String toStringMetric(int premiseSupport,
                                           int consequenceSupport,
                                           int totalSupport,
                                           int totalTransactions)

### toXML

    public java.lang.String toXML(int premiseSupport,
                                  int consequenceSupport,
                                  int totalSupport,
                                  int totalTransactions)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD